Subject: Re: Multiple backslashes
From: Dmitry Bely <[email-masked]>
To: Randall R Schulz <[email-masked]>
Cc: Dmitry Bely <[email-masked]>, [email-masked]
Date: 10 Feb 2002 21:33:16 +0300

Randall R Schulz <[email-masked]> writes:

> What I said is accurate. However, in the absence of any explicit
> mention on your part, I assumed you were issuing the commands you
> specified from a Cygwin shell. It now appears you are entering them
> into CMD.exe.
> 
> If I'm not mistaken, arguments are processed differently in Cygwin
> binaries when they are invoked from a Windows program than they are
> when invoked by another Cygwin process. Someone who knows better (or
> the manual...) will have to supply details, it's a mode of operation I
> never encounter (CMD.exe offends me deeply...). I have a vague
> recollection that there is a CYGWIN environment variable option that
> controls or supresses or modifies this behavior somehow--I'm even less
> sure about this than I am about the variant argument processing itself.

OK, I will look into it.

> I believe this is why you're experiencing difficulties. You'll have to
> familiarize yourself with the special argument processing in the
> Windows ->
> 
> Cygwin transition.
> 
> Or, you can do what I strongly suggest to everyone who'll listen:
> DON'T USE CMD.EXE!

Thank you very much for you comments, but I must repeat that in my case
XEmacs calls  bash -c "..." _directly_ via CreateProcess() with _exactly_
the same results. So I still tend to consider the necessity of "\\\\" as a
bug.

Hope to hear from you soon,
Dmitry

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/